Katello - Bug #7272

Dupe errors when creating a content host without a name
08/26/2014 04:48 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1120730 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/461
6
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120730

Actual results:

$ hammer content-host create --organization Default_Organization --content-view-id 5 --lifecycle-environment-id 1
Validation failed: Name can't be blank, Name cannot be blank

Expected:

$ hammer content-host create --organization Default_Organization --content-view-id 5 --lifecycle-environment-id 1
Validation failed: Name can't be blank

Associated revisions

Revision 0466ed79 - 08/26/2014 04:53 PM - dustin tsang

Fixes #7272 - system has extra validation on name

System has an extra validation for presence of name. This validation is
already happening in the NameFormatValidator.

Revision 312a1932 - 08/27/2014 12:00 PM - dustin tsang

Merge pull request #4616 from dustint-rh/extra_system_validation

Fixes #7272 - system has extra validation on name

History

#1 - 08/26/2014 04:52 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4616 added

- Pull request deleted ()

#2 - 08/27/2014 09:23 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/27/2014 09:24 AM - Eric Helms

- Target version changed from 63 to 55

#4 - 08/27/2014 12:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1120730

Applied in changeset katello|0466ed791e02e7dca3bcb07927becebc149c7edb.

#5 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
